## Makefile.am for palm database meta info plugin

# set the include path for X, qt and KDE
INCLUDES         = $(PISOCK_INCLUDE) $(all_includes)

# these are the headers for your project
noinst_HEADERS   = tdefile_palm.h

kde_module_LTLIBRARIES = tdefile_palm.la

tdefile_palm_la_SOURCES = tdefile_palm.cpp 
tdefile_palm_la_LDFLAGS = $(PISOCK_LDFLAGS) $(all_libraries) -module $(KDE_PLUGIN) $(LIB_TQT) -ltdecore
tdefile_palm_la_LIBADD = $(LIB_TDESYCOCA) $(PISOCK_LIB)

# let automoc handle all of the meta source files (moc)
METASOURCES = AUTO

messages: rc.cpp
	$(XGETTEXT) tdefile_palm.cpp -o $(podir)/tdefile_palm.pot

services_DATA = tdefile_palm.desktop
servicesdir = $(kde_servicesdir)
